import { javascript } from "@codemirror/lang-javascript";
import { java } from "@codemirror/lang-java";
import { css } from "@codemirror/lang-css";
import { sql } from "@codemirror/lang-sql";
import { html } from "@codemirror/lang-html";

const plugins = {
  javascript: () => javascript(),
  sql: () => sql(),
  css: () => css(),
  java: () => java(),
  html: () => html(),
};

export const getCodeLanguagePlugin = function (language) {
  return plugins[language]();
};
